*
Microsoft TechNet*
resultados de Bing
|Suscríbase|Descarga|Contáctenos|Simplified


Boletín de seguridad de Microsoft MS04-020

Una vulnerabilidad en POSIX podría permitir la ejecución de código (841872)

Emitido: 13 de julio de 2004
Actualizado: 10 de agosto de 2004
Versión: 2.0

Resumen

Quién debería leer este documento: Los clientes que utilizan Microsoft® Windows® 2000 o Windows NT 4.0

Consecuencia de la vulnerabilidad:Elevación local de privilegios

Gravedad máxima: Importante

Recomendación: Los usuarios deberían instalar la actualización de seguridad lo antes posible.

Actualizaciones de seguridad reemplazadas: Ninguna

Advertencias: Ninguna

Ubicaciones de descarga de la actualización de seguridad y productos probados:

Software afectado:

Microsoft INTERIX® 2.2: Descargar la actualización

Service Pack 6a de Microsoft Windows NT® Workstation 4.0: Descargar la actualización

Service Pack 6a de Microsoft Windows NT Server 4.0: Descargar la actualización

Service Pack 6 de Microsoft Windows NT Server 4.0 Terminal Server Edition: Descargar la actualización

Service Pack 2 de Microsoft Windows 2000, Service Pack 3 de Microsoft Windows 2000, Service Pack 4 de Microsoft Windows 2000: Descargar la actualización

Software no afectado:

Microsoft Windows XP, Service Pack 1 de Microsoft Windows XP

Service Pack 1 de Microsoft Windows XP 64-Bit Edition Gold

Microsoft Windows XP 64-Bit Edition Version 2003

Microsoft Windows Server™ 2003

Microsoft Windows Server 2003 64-Bit Edition

Microsoft Windows 98, Microsoft Windows 98 Segunda edición (SE) y Microsoft Windows Millennium Edition (Me)

Los programas de esta lista han sido probados para determinar si las versiones están afectadas. Otras versiones puede que ya no sean compatibles con las actualizaciones de seguridad o que no se vean afectadas. Para determinar el ciclo de vida del soporte técnico de su producto y versión, visite el sitio Web Ciclo de vida del soporte técnico de Microsoft.

Información general

Resumen ejecutivo

Resumen ejecutivo:

Esta actualización resuelve una vulnerabilidad descubierta recientemente, de la que se ha informado de forma privada. Existe una vulnerabilidad de elevación de privilegios en el componente del sistema operativo POSIX (subsistema). La vulnerabilidad se documenta en el apartado Detalles de la vulnerabilidad de este boletín.

Si un atacante aprovechara esta vulnerabilidad, podría lograr el control completo de un sistema afectado como, por ejemplo, instalar programas; ver, cambiar o eliminar datos; o crear cuentas nuevas que tengan todos los privilegios.

Se recomienda que los clientes instalen la actualización lo antes posible.

Gravedad e identificadores de vulnerabilidad:

Identificadores de vulnerabilidad Consecuencia de la vulnerabilidad Windows NT 4.0 Windows 2000

Vulnerabilidad de POSIX: CAN-2004-0210

Elevación de privilegios

Importante

Importante

Esta clasificación está basada en los tipos de sistemas afectados por la vulnerabilidad, sus patrones típicos de implementación y el efecto que podría tener en ellos que un intruso la aprovechara.

Preguntas más frecuentes (P+F) relacionadas con esta actualización de seguridad

¿Por qué Microsoft publica de nuevo este boletín?
Microsoft volvió a publicar este boletín el 10 de agosto de 2004 para informar de la disponibilidad de una actualización de seguridad para Microsoft INTERIX 2.2. Después del lanzamiento de este boletín, se determinó que la vulnerabilidad resuelta también afecta a este producto. Microsoft ha actualizado el boletín con información adicional acerca de Microsoft INTERIX 2.2 y también ha dirigido a los usuarios a una actualización de seguridad para este producto. Los clientes que no utilicen Microsoft INTERIX 2.2 y que hayan instalado anteriormente las actualizaciones de seguridad tal y como se proporcionaron en la versión original de este boletín no necesitan instalar la nueva actualización de seguridad.

Sigo usando el Service Pack 6a de Microsoft Windows NT 4.0 Workstation o el Service Pack 2 de Windows 2000, pero el período extendido de soporte técnico de la actualización de seguridad finalizó el 30 de junio de 2004. Sin embargo, este boletín contiene una actualización de seguridad para estas versiones de los sistemas operativos. ¿Por qué?
El Service Pack 6a de Windows NT 4.0 Workstation y el Service Pack 2 de Windows 2000 han llegado al final de sus ciclos de vida, según se ha explicado anteriormente, y Microsoft amplió el período de soporte técnico hasta el 30 de junio de 2004. Sin embargo, dicho período ha concluido hace muy poco. En este caso, la mayor parte de los pasos necesarios para abordar esta vulnerabilidad se completaron antes del 30 de junio de 2004. Por lo tanto, hemos decidido publicar actualizaciones de seguridad para estas versiones de los sistemas operativos en este boletín de seguridad. No aseguramos que esto se siga haciendo para las vulnerabilidades que se descubran posteriormente y que afecten a dichas versiones, pero nos reservamos el derecho a crear actualizaciones y a ponerlas a disposición de los clientes cuando sea necesario.

Los clientes que tengan estas versiones del sistema operativo deberían considerar prioritario realizar la migración a una versión con soporte técnico para impedir una posible exposición a las vulnerabilidades futuras. Para obtener más información acerca del ciclo de vida de los productos de Windows, visite el sitio Web Ciclo de vida del soporte técnico de Microsoft. Para obtener más información acerca de la ampliación del período de soporte técnico de las actualizaciones de seguridad correspondientes a estas versiones de sistemas operativos, visite el siguiente sitio Web de Servicios de soporte técnico de Microsoft .

Los clientes que requieran soporte técnico adicional para el SP6a de Windows NT Workstation 4.0 deben ponerse en contacto con su representante del equipo de cuentas de Microsoft, con su administrador técnico de cuentas o con el representante del partner de Microsoft apropiado para consultar las opciones de soporte personalizadas disponibles. Los clientes con un contrato Alliance, Premier o Authorized pueden ponerse en contacto con su oficina de ventas local de Microsoft. Para obtener información de contacto, visite el sitio Web de información en todo el mundo de Microsoft, seleccione el país y, a continuación, haga clic en Ir para ver la lista de números de teléfono. Cuando llame, diga que desea hablar con el administrador de ventas local de soporte técnico Premier.

Para obtener más información, consulte las Preguntas más frecuentes del sistema operativo Windows.

¿Se puede utilizar Microsoft Baseline Security Analyzer (MBSA) para determinar si esta actualización es necesaria?
Sí. MBSA determinará si la actualización es necesaria. Para obtener más información acerca de MBSA, visite el sitio Web de MBSA.

Nota Después del 20 de abril de 2004, el archivo Mssecure.xml utilizado por MBSA 1.1.1 y por las versiones anteriores ya no se actualiza con los nuevos datos del boletín de seguridad. Por lo tanto, las detecciones realizadas con MBSA 1.1.1 o una versión anterior después de esa fecha serán incompletas. Todos los usuarios deben actualizar a MBSA 1.2 porque permite realizar la detección de actualizaciones de seguridad con más precisión y admite más productos. Los usuarios pueden descargar MBSA 1.2 del sitio Web de MBSA. Para obtener más información acerca del soporte técnico de MBSA, visite el siguiente sitio Web de preguntas y respuestas sobre Microsoft Baseline Security Analyzer 1.2.

¿Se puede utilizar Systems Management Server (SMS) para determinar si esta actualización es necesaria?
Sí. SMS puede ayudar a detectar e implementar esta actualización de seguridad. Para obtener más información acerca de SMS, visite el sitio Web de SMS.

Detalles de la vulnerabilidad

Vulnerabilidad de POSIX: CAN-2004-0210:

Existe una vulnerabilidad de elevación de privilegios en el subsistema POSIX. Esta vulnerabilidad podría permitir que un usuario con una sesión abierta tomara control completo del sistema.

Factores atenuantes de la vulnerabilidad de POSIX - CAN-2004-0210:

Para aprovechar esta vulnerabilidad, un intruso debe de tener unas credenciales de inicio de sesión válidas y ser capaz de iniciar una sesión local. Los usuarios anónimos o los usuarios remotos no pueden aprovechar esta vulnerabilidad.

Windows XP y Windows Server 2003 no se ven afectados por esta vulnerabilidad.

Soluciones provisionales para la vulnerabilidad de POSIX - CAN-2004-0210:

Microsoft ha probado las siguientes soluciones provisionales. Aunque estas soluciones provisionales no corrigen la vulnerabilidad subyacente, ayudan a bloquear los tipos de ataque conocidos. Cuando una solución reduce la funcionalidad, se identifica a continuación.

Deshabilitar el subsistema POSIX desde el Registro

Esta solución provisional se documenta extensamente en el artículo de Microsoft Knowledge Base 101270. Este artículo se resume en los siguientes párrafos.

Estos pasos demuestran cómo deshabilitar el subsistema POSIX.

Nota El uso incorrecto del Editor del Registro puede originar problemas graves que conlleven la reinstalación del sistema operativo. Microsoft no garantiza que los problemas derivados del uso incorrecto del Editor del Registro puedan resolverse. El Editor del Registro se utiliza bajo su propio riesgo.

Para obtener información sobre cómo editar el Registro, consulte el tema “Cambiar claves y valores” de la Ayuda del Editor del Registro (Regedit.exe) o los temas “Agregar y eliminar valores del Registro” y “Editar valores del Registro” de la Ayuda de Regedt32.exe.

Nota Es conveniente realizar una copia de seguridad del Registro antes de modificarlo.

1.

Haga clic en Inicio, en Ejecutar, escriba "regedt32" (sin las comillas) y haga clic en Aceptar.

2.

En el Editor del Registro, ubique la siguiente clave del registro:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Subsystems\Posix

3.

Haga clic en el valor de datos POSIX, en Editar y en Eliminar.

4.

Haga clic en Aceptar para confirmar la eliminación y reinicie el sistema.

Nota Para habilitar el subsistema POSIX, vuelva a crear la clave del Registro. El nombre, si la clave del Registro es Posix, el tipo de clave es REG_EXPAND_SZ y el valor de la clave es %SystemRoot%\system32\psxss.exe. Cuando haya hecho esto, reinicie el sistema.

Consecuencias de la solución provisional: Los programas POSIX se deshabilitan hasta que se habilite el subsistema POSIX.

Preguntas más frecuentes sobre la vulnerabilidad de POSIX - CAN-2004-0210:

¿Cuál es el alcance de esta vulnerabilidad?
Se trata de una vulnerabilidad de elevación de privilegios. Si un atacante aprovechara esta vulnerabilidad, podría lograr el control completo de un sistema afectado como, por ejemplo, instalar programas; ver, cambiar o eliminar datos; o crear cuentas nuevas que tengan todos los privilegios.

¿Cuál es la causa de esta vulnerabilidad?
La existencia de un búfer sin comprobar en el subsistema POSIX.

¿Qué es el subsistema POSIX?
Puede ejecutar las aplicaciones creadas para el estándar Portable Operating System Interface for UNIX (POSIX) en Windows NT 4.0 y Windows 2000. Estos sistemas operativos permiten ejecutar las aplicaciones que no son originales de dichos sistemas al simular los entornos para los que están diseñados. Esta compatibilidad se proporciona a través de subsistemas de entorno. Excepto en el caso del subsistema Microsoft Win32, que es el entorno original de Windows, cada entorno es opcional y sólo se usa cuando una aplicación cliente requiere sus servicios. Para obtener más información acerca de la compatibilidad con POSIX, visite el siguiente sitio Web de MSDN Library.

¿Para qué puede utilizar un intruso esta vulnerabilidad?
Un intruso que aprovechara con éxito esta vulnerabilidad podría obtener el control completo del sistema afectado.

¿Quién podría aprovechar esta vulnerabilidad?
Para aprovechar esta vulnerabilidad, el intruso debería ser capaz de iniciar una sesión local en un sistema donde estuviera habilitado el subsistema POSIX.

¿Cómo podría aprovechar un intruso la vulnerabilidad?
Para aprovechar esta vulnerabilidad, el intruso debería iniciar sesión en el sistema. Seguidamente, podría ejecutar un programa diseñado especialmente que aprovechara la vulnerabilidad y hacerse con el control completo del sistema afectado.

Un intruso también podría tener acceso al componente afectado por otro medio. Por ejemplo, podría usar otro programa que pasara parámetros al componente vulnerable (de forma local o remota).

¿Qué sistemas están más expuestos a esta vulnerabilidad?
Windows NT 4.0 y Windows 2000 están expuestos a esta vulnerabilidad. Windows XP y Windows Server 2003 no contienen el subsistema POSIX. Para obtener más información acerca de la compatibilidad con POSIX en Windows XP o Windows Server 2003, vea el artículo de Microsoft Knowledge Base 308259.

Los sistemas con más riesgo de sufrir un ataque son las estaciones de trabajo y los servidores de servicios de Terminal Server. Los servidores sufrirán riesgos solamente si algún usuario que no tenga las suficientes credenciales administrativas tiene la capacidad de iniciar sesiones en el servidor y ejecutar programas Sin embargo, las prácticas recomendadas desaconsejan permitir esto.

¿Puede aprovecharse esta vulnerabilidad a través de Internet?
No. El intruso debe ser capaz de iniciar una sesión en el sistema específico que desea atacar. Un intruso no puede cargar y ejecutar un programa de forma remota utilizando esta vulnerabilidad.

¿Cómo funciona esta actualización?
Esta actualización elimina la vulnerabilidad modificando el modo en que el subsistema POXIX valida la longitud de los mensajes antes de transferirlos al búfer asignado.

En el momento de emitir este boletín de seguridad, ¿se había divulgado ya esta vulnerabilidad?
No. Microsoft recibió información acerca de esta vulnerabilidad a través de una fuente responsable. En el momento de emitir este boletín de seguridad, Microsoft no había recibido información alguna que indicara que esta vulnerabilidad se había divulgado.

En el momento de emitir este boletín de seguridad, ¿había recibido Microsoft algún informe de que se estaba utilizando esta vulnerabilidad?
No. En el momento de emitir este boletín de seguridad, Microsoft no había recibido información alguna que indicara que esta vulnerabilidad se había utilizado para atacar a los clientes y no tenía ninguna prueba de que se hubiera publicado código de tipo conceptual.

Información sobre la actualización de seguridad

Plataformas de instalación y requisitos previos:

Para obtener información sobre la actualización de seguridad específica para su plataforma, haga clic en el vínculo apropiado:

Windows 2000 (todas las versiones)

Requisitos previos
Para Windows 2000, esta actualización de seguridad requiere el Service Pack 2 (SP2), Service Pack 3 (SP3) o Service Pack 4 (SP4).

Los programas enumerados han sido probados para determinar si están afectados. Otras versiones puede que ya no sean compatibles con las actualizaciones de seguridad o que no se vean afectadas. Para determinar el ciclo de vida del soporte técnico de su producto y versión, visite el sitio Web Ciclo de vida del soporte técnico de Microsoft.

Para obtener más información acerca de cómo obtener el Service Pack más reciente, vea el artículo de Microsoft Knowledge Base 260910.

Inclusión en futuros Service Packs:
La actualización para este problema se incluirá en Windows 2000 Service Pack 5.

Información sobre la instalación

Esta actualización de seguridad admite los siguientes parámetros de instalación:

      /help                 Muestra las opciones de la línea de comandos

Modos de instalación

      /quiet                Modo silencioso (sin interacción del usuario ni mensajes)

      /passive            Modo desatendido (sólo barra de progreso)

      /uninstall          Desinstala el paquete

Opciones de reinicio

      /norestart          No reinicia al completarse la instalación

      /forcerestart      Reinicia después de la instalación

Opciones especiales

      /l                        Enumera las revisiones o los paquetes de actualización de Windows instalados

      /o                       Sobrescribe los archivos OEM sin preguntar

      /n                       No hace una copia de seguridad de los archivos necesarios para la desinstalación

      /f                        Obliga a otros programas a cerrarse cuando se apaga el equipo

      /extract             Extrae los archivos sin iniciar la instalación

Nota Estos parámetros pueden combinarse en el mismo comando. Para mantener la compatibilidad con productos anteriores, esta actualización de seguridad también admite los parámetros de instalación que utilizan las versiones anteriores de la utilidad de instalación. Para obtener más información sobre los parámetros de instalación admitidos, vea el artículo de Microsoft Knowledge Base 262841.

Información sobre la implementación

Si desea instalar la actualización de seguridad sin intervención del usuario, utilice el comando siguiente en el símbolo del sistema para Windows 2000 Service Pack 2, Windows 2000 Service Pack 3 y Windows 2000 Service Pack 4:

Windows2000-kb841872-x86-enu /passive /quiet

Si desea instalar la actualización de seguridad sin obligar al sistema a reiniciarse, utilice el comando siguiente en el símbolo del sistema para Windows 2000 Service Pack 2, Windows 2000 Service Pack 3 y Windows 2000 Service Pack 4:

Windows2000-kb841872-x86-enu /norestart

Para obtener más información acerca de cómo implementar esta actualización de seguridad con Software Update Services, visite el sitio Web de Software Update Services.

Requisito de reinicio

En algunos casos, esta actualización no requiere reiniciar el sistema. El programa instalador detiene los servicios necesarios, aplica la actualización y los vuelve a reiniciar. Sin embargo, si los servicios requeridos no pueden detenerse por algún motivo o si algún archivo necesario está siendo utilizado, habrá que reiniciar el sistema. Si sucede esto, aparecerá un mensaje que aconseja reiniciar el sistema.

Información sobre la eliminación

Para eliminar esta actualización de seguridad, utilice la herramienta Agregar o quitar programas del Panel de control.

Los administradores de sistemas también pueden utilizar la utilidad Spuninst.exe para desinstalar esta actualización de seguridad. La utilidad Spuninst.exe se encuentra en la carpeta %Windir\$NTUninstallKB841872$\Spuninst. Esta utilidad admite los siguientes parámetros de instalación:

/?: Muestra la lista de parámetros de instalación.

/u: Utiliza el modo desatendido.

/f: Obliga a otros programas a cerrarse cuando se apaga el equipo.

/z: No reinicia al completarse la instalación.

/q: Usa el modo silencioso (sin interacción del usuario)

Información sobre archivos

La versión en inglés de esta actualización tiene los atributos de archivo (o posteriores) indicados en la tabla siguiente. Las fechas y horas de estos archivos se muestran en el horario universal coordinado (UTC). Cuando se consulta la información de archivo, ésta se convierte al horario local. Para averiguar la diferencia entre el horario universal coordinado y el local, utilice la ficha Zona horaria en la herramienta Fecha y hora del Panel de control.

Nota La información de fecha, hora, nombre de archivo o tamaño podría cambiar durante la instalación. Consulte la sección Comprobación de la instalación de la actualización para obtener detalles sobre la comprobación de una instalación.

Windows 2000 Service Pack 2, Windows 2000 Service Pack 3 y Windows 2000 Service Pack 4:

Fecha       Hora   Versión        Tamaño   Nombre de archivo --------------------------------------- 16-May-2004  19:32  5.0.2195.6929  90,384   Psxss.exe

Comprobación de la instalación de la actualización

Microsoft Baseline Security Analyzer

Para comprobar que una actualización de seguridad está instalada en un sistema afectado, puede tratar de utilizar la herramienta Baseline Security Analyzer (MBSA) de Microsoft. Esta herramienta permite a los administradores examinar sistemas remotos y locales para detectar las actualizaciones de seguridad que faltan así como las configuraciones de seguridad incorrectas más comunes. Para obtener más información acerca de MBSA, visite el sitio Web de Microsoft Baseline Security Analyzer.

Comprobación de la versión del archivo

Nota Puesto que existen varias versiones de Microsoft Windows, los pasos que se indican a continuación pueden ser diferentes en su equipo. En tal caso, consulte la documentación del producto para completarlos.

1.

Haga clic en Inicio y, después, en Buscar.

2.

En el panel de Resultados de la búsqueda, haga clic en Todos los archivos y carpetas del Asistente para búsqueda.

3.

En el cuadro Todo o parte del nombre de archivo, escriba un nombre de archivo de la tabla de información de archivo correspondiente y, a continuación, haga clic en Buscar.

4.

En la lista de archivos, haga clic con el botón secundario del mouse en un nombre de archivo de la tabla de información de archivos correspondiente y, después, haga clic en Propiedades.

Nota Según la versión del sistema operativo o de los programas instalados, algunos de los archivos enumerados en la tabla de información de archivos pueden no estar instalados.

5.

En la ficha Versión, determine la versión del archivo instalado en el equipo comparándola con la versión documentada en la tabla de información de archivos apropiada.

Nota Los atributos distintos a la versión del archivo pueden cambiar durante la instalación. Comparar otros atributos de los archivos con la información de la tabla de información de archivos no es un método apropiado para comprobar la instalación de la actualización. Además, en ciertos casos, el nombre de los archivos se puede cambiar durante la instalación. Si no aparece información de la versión o del archivo, use otro de los métodos disponibles para comprobar la instalación de la actualización.

Comprobación de las claves del Registro

También podría comprobar los archivos que ha instalado esta actualización de seguridad revisando la siguiente clave del Registro:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Updates\Windows 2000\SP5\KB841872\Filelist

Nota Esta clave del Registro puede no contener una lista completa de archivos instalados. Además, esta clave del Registro puede no crearse correctamente cuando el administrador o un OEM integran o incorporan la actualización de seguridad 841872 en los archivos fuente de instalación de Windows.

Windows NT 4.0 (todas las versiones)

Requisitos previos
Esta actualización de seguridad requiere el Service Pack 6a (SP6a) de Windows NT Workstation 4.0, el Service Pack 6a (SP6a) de Windows NT Server 4.0 o el Service Pack 6 (SP6) de Windows NT Server 4.0 Terminal Server Edition.

Los programas enumerados han sido probados para determinar si están afectados. Otras versiones puede que ya no sean compatibles con las actualizaciones de seguridad o que no se vean afectadas. Para determinar el ciclo de vida del soporte técnico de su producto y versión, visite el sitio Web Ciclo de vida del soporte técnico de Microsoft.

Para obtener más información acerca de cómo obtener el Service Pack más reciente, vea el artículo de Microsoft Knowledge Base 152734.

Información sobre la instalación

Esta actualización de seguridad admite los siguientes parámetros de instalación:

/y: Efectuar la eliminación (sólo con /m o /q )

   /f: Obligar a los programas a salir durante el proceso de cierre

/n: No crear una carpeta de desinstalación

/z: No reiniciar el equipo cuando finalice la actualización

/q: Utilizar el modo silencioso o desatendido sin intervención del usuario (este parámetro es un superconjunto de /m)

   /m: Utilizar el modo desatendido con una interfaz de usuario

   /l: Enumerar los hotfix instalados

   /x: Extraer los archivos sin ejecutar el programa de instalación

Nota Estos parámetros pueden combinarse en el mismo comando. Para obtener más información sobre los parámetros de instalación admitidos, vea el artículo de Microsoft Knowledge Base 262841.

Información sobre la implementación

Para instalar la actualización de seguridad sin intervención del usuario, escriba la línea de comandos siguiente en el símbolo del sistema de Windows NT Server 4.0:

Windowsnt4server-kb841872-x86-enu /q

Para Windows NT Server 4.0 Terminal Server Edition:

Windowsnt4terminalserver-kb841872-x86-enu /q

Para Windows NT Workstation 4.0:

Windowsnt4workstation-kb841872-x86-enu /q

Para instalar la actualización de seguridad sin necesidad de reiniciar el equipo, escriba el comando siguiente en el símbolo del sistema de Windows NT Server 4.0:

Windowsnt4server-kb841872-x86-enu /z

Para Windows NT Server 4.0 Terminal Server Edition:

Windowsnt4terminalserver-kb841872-x86-enu /z

Para Windows NT Workstation 4.0:

Windowsnt4workstation-kb841872-x86-enu /z

Para obtener más información acerca de cómo implementar esta actualización de seguridad con Software Update Services, visite el sitio Web de Software Update Services.

Requisito de reinicio

En algunos casos, esta actualización no requiere reiniciar el sistema. El programa instalador detiene los servicios necesarios, aplica la actualización y los vuelve a iniciar. Sin embargo, si los servicios requeridos no pueden detenerse por algún motivo o si algún archivo necesario está siendo utilizado, habrá que reiniciar el sistema. Si sucede esto, aparecerá un mensaje que aconseja reiniciar el sistema.

Información sobre la eliminación

Para quitar esta actualización de seguridad, utilice la herramienta Agregar o quitar programas del Panel de control.

Los administradores de sistemas también pueden utilizar la utilidad Hotfix.exe para desinstalar esta actualización de seguridad. La utilidad Hotfix.exe se encuentra en la carpeta %Windir%\$NTUninstallKB841872$. La utilidad Hotfix.exe admite los siguientes parámetros de instalación:

/y: Efectuar la eliminación (sólo con /m o /q )

/f: Obligar a los programas a salir durante el proceso de cierre

/n: No crear una carpeta de desinstalación

/z: No reiniciar al completarse la instalación

/q: Utilizar el modo silencioso o desatendido sin intervención del usuario (este parámetro es un superconjunto de /m)

/m: Utilizar el modo desatendido con una interfaz de usuario

/l: Enumerar los hotfix instalados

Información sobre archivos

La versión en inglés de esta actualización tiene los atributos de archivo (o posteriores) indicados en la tabla siguiente. Las fechas y horas de estos archivos se muestran en el horario universal coordinado (UTC). Cuando se consulta la información de archivo, ésta se convierte al horario local. Para averiguar la diferencia entre el horario universal coordinado y el local, utilice la ficha Zona horaria en la herramienta Fecha y hora del Panel de control.

Nota La información de fecha, hora, nombre de archivo o tamaño podría cambiar durante la instalación. Consulte la sección Comprobación de la instalación de la actualización para obtener detalles sobre la comprobación de una instalación.

Windows NT Workstation 4.0 y Windows NT Server 4.0:

Fecha       Hora   Versión        Tamaño   Nombre de archivo ---------------------------------------20-May-2004  15:04:00  4.0.1381.7269  93.968  Psxss.exe

Windows NT Server 4.0 Terminal Server Edition:

Fecha       Hora   Versión        Tamaño   Nombre de archivo ---------------------------------------21-May-2004  13:31:00  4.0.1381.33567  94.480   Psxss.exe

Comprobación de la instalación de la actualización

Microsoft Baseline Security Analyzer

Para comprobar que una actualización de seguridad está instalada en un sistema afectado, puede tratar de utilizar la herramienta Baseline Security Analyzer (MBSA) de Microsoft. Esta herramienta permite a los administradores examinar sistemas remotos y locales para detectar las actualizaciones de seguridad que faltan así como las configuraciones de seguridad incorrectas más comunes. Para obtener más información acerca de MBSA, visite el sitio Web de Microsoft Baseline Security Analyzer.

Comprobación de la versión del archivo

Nota Puesto que existen varias versiones de Microsoft Windows, los pasos que se indican a continuación pueden ser diferentes en su equipo. En tal caso, consulte la documentación del producto para completarlos.

1.

Haga clic en Inicio y, después, en Buscar.

2.

En el panel de Resultados de la búsqueda, haga clic en Todos los archivos y carpetas del Asistente para búsqueda.

3.

En el cuadro Todo o parte del nombre de archivo, escriba un nombre de archivo de la tabla de información de archivo correspondiente y, a continuación, haga clic en Buscar.

4.

En la lista de archivos, haga clic con el botón secundario del mouse en un nombre de archivo de la tabla de información de archivos correspondiente y, después, haga clic en Propiedades.

Nota Según la versión del sistema operativo o de los programas instalados, algunos de los archivos enumerados en la tabla de información de archivos pueden no estar instalados.

5.

En la ficha Versión, determine la versión del archivo instalado en el equipo comparándola con la versión documentada en la tabla de información de archivos apropiada.

Nota Los atributos distintos a la versión del archivo pueden cambiar durante la instalación. Comparar otros atributos de los archivos con la información de la tabla de información de archivos no es un método apropiado para comprobar la instalación de la actualización. Además, en ciertos casos, el nombre de los archivos se puede cambiar durante la instalación. Si no aparece información de la versión o del archivo, use otro de los métodos disponibles para comprobar la instalación de la actualización.

Comprobación de las claves del Registro

También podría comprobar los archivos que ha instalado esta actualización de seguridad revisando la siguiente clave del Registro:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Hotfix\KB841872\File 1

Nota Esta clave del Registro puede no contener una lista completa de archivos instalados. Además, esta clave del Registro puede no crearse correctamente cuando el administrador o un OEM integran o incorporan la actualización de seguridad 841872 en los archivos fuente de instalación de Windows.

Agradecimientos

Microsoft muestra su agradecimiento a todas las personas que han trabajado con nosotros para proteger a los clientes:

Rafal Wojtczuk, que colabora con McAfee, por informar de la vulnerabilidad de POSIX (CAN-2004-0210).

Obtención de otras actualizaciones de seguridad:

Las actualizaciones para otros problemas de seguridad están disponibles en las ubicaciones siguientes:

Las actualizaciones de seguridad están disponibles en el Centro de descarga de Microsoft: Si realiza una búsqueda de las palabras clave “revisión de seguridad” podrá encontrarlas fácilmente.

Las actualizaciones para las plataformas de usuario están disponibles en el sitio Web de Windows Update.

Soporte técnico:

Los clientes de Estados Unidos y Canadá pueden recibir soporte técnico de los Servicios de soporte técnico de Microsoft en 1-866-PCSAFETY. Las llamadas de soporte técnico relacionadas con las actualizaciones de seguridad son gratuitas.

Los clientes internacionales pueden recibir soporte técnico en las subsidiarias de Microsoft de sus países. Las llamadas de soporte técnico relacionadas con las actualizaciones de seguridad son gratuitas. Para obtener más información acerca de cómo ponerse en contacto con Microsoft en relación a problemas de soporte técnico, visite el sitio Web de soporte técnico internacional de Microsoft.

Recursos de seguridad:

El sitio Web Microsoft TechNet Seguridad proporciona información adicional acerca de la seguridad de los productos de Microsoft.

Microsoft Software Update Services

Microsoft Baseline Security Analyzer (MBSA)

Windows Update 

Catálogo de Windows Update: Para obtener más información sobre el Catálogo de Windows Update, vea el artículo de Microsoft Knowledge Base 323166.

Office Update 

Software Update Services:

Software Update Services (SUS) permite a los administradores implementar con rapidez y confiabilidad las actualizaciones críticas y de seguridad más recientes en servidores basados en Windows 2000 y Windows Server 2003, y en sistemas de escritorio donde se ejecute Windows 2000 Professional o Windows XP Professional.

Para obtener más información acerca de cómo implementar esta actualización de seguridad con Software Update Services, visite el sitio Web de Software Update Services.

Systems Management Server:

Microsoft Systems Management Server (SMS) ofrece una solución empresarial altamente configurable para la administración de las actualizaciones. Mediante SMS, los administradores pueden identificar los sistemas basados en Windows que necesitan actualizaciones de seguridad, así como realizar la implementación controlada de las actualizaciones en la empresa con una repercusión mínima para los usuarios finales. Para obtener información acerca de cómo pueden utilizar SMS 2003 los administradores para implementar actualizaciones de seguridad, visite el sitio Web de administración de revisiones de seguridad de SMS 2003. Los usuarios de SMS 2.0 también pueden usar Software Updates Service Feature Pack para ayudar a implementar actualizaciones de seguridad. Para obtener más información acerca de SMS, visite el sitio Web de SMS.

Nota SMS utiliza las herramientas Microsoft Baseline Security Analyzer y Microsoft Office Detection Tool como ayuda para proporcionar un amplio soporte técnico para la detección e implementación de las actualizaciones indicadas en los boletines de seguridad. Puede que estas herramientas no detecten algunas actualizaciones de software. Los administradores pueden usar las capacidades de inventario de SMS en estos casos para concretar qué actualizaciones aplicar en cada sistema. Para obtener más información acerca de este procedimiento, visite el siguiente sitio Web. Algunas actualizaciones de seguridad pueden requerir derechos administrativos y que se reinicie el sistema. Los administradores pueden usar la utilidad Elevated Rights Deployment Tool (disponible en el SMS 2003 Administration Feature Pack y en el SMS 2.0 Administration Feature Pack) para instalar estas actualizaciones.

Renuncia:

La información proporcionada en Microsoft Knowledge Base se suministra "tal cual", sin garantía de ningún tipo. Microsoft renuncia al otorgamiento de toda otra garantía, tanto expresa como implícita, incluidas las garantías de comerciabilidad e idoneidad para un determinado fin. Ni Microsoft Corporation ni sus proveedores se responsabilizarán en ningún caso de daños directos, indirectos, incidentales, consecuenciales, pérdida de beneficios o daños especiales, aun en el supuesto de que se hubiera informado a Microsoft Corporation o a sus proveedores de la posibilidad de dichos daños. Algunos estados no permiten la exclusión o limitación de responsabilidad por daños consecuenciales o incidentales, y, por tanto, la limitación anterior puede no serle aplicable.

Revisiones: 

V1.0 (13 de julio de 2004): Publicación del boletín

V2.0 (10 de agosto de 2004): Actualizado para incluir otro producto afectado (Microsoft INTERIX 2.2)


 

©2015 Microsoft Corporation. Todos los derechos reservados. Póngase en contacto con nosotros |Aviso Legal |Marcas registradas |Privacidad
Microsoft